Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: fastutil5 dsiutils colt jsap log4j
BuildRequires: /proc
BuildRequires: jpackage-compat

Name:           sux4j
Version:        1.0.3
Release:        alt1_1jpp5
Epoch:          0
Summary:        Succinct data structures for Java
License:        LGPL
Source0:        http://sux.dsi.unimi.it/%{name}-%{version}-src.tar.gz
URL:            http://sux.dsi.unimi.it/
Group:          Development/Java
BuildArch:      noarch
Requires: fastutil5 >= 5.1.5 dsiutils >= 1.0.6 colt >= 0:1.1.0 jsap junit log4j
BuildRequires: ant jpackage-utils >= 0:1.6 /bin/bash
BuildRequires: java-javadoc fastutil5-javadoc dsiutils-javadoc colt-javadoc jsap-javadoc junit-javadoc log4j-javadoc

%description
sux4j is an implementation of succinct data structure in Java. It provides
a number of related implementations covering ranking/selection over bit
arrays, compressed lists and minimal perfect hashing.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

%build
export CLASSPATH=%(build-classpath fastutil5 dsiutils colt jsap log4j)
ant \
  -Dj2se.apiurl=%{_javadocdir}/java \
  -Dfastutil.apiurl=%{_javadocdir}/fastutil5 \
  -Ddsiutils.apiurl=%{_javadocdir}/dsiutils \
  -Dcolt.apiurl=%{_javadocdir}/colt \
  -Dlog4j.apiurl=%{_javadocdir}/log4j \
  -Djsap.apiurl=%{_javadocdir}/jsap \
  -Djunit.apiurl=%{_javadocdir}/junit \
  jar javadoc

%install
# jars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}
 
%files
%doc CHANGES COPYING.LIB
%{_javadir}/*.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sun Oct 05 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.0.3-alt1_1jpp5
- converted from JPackage by jppimport script

